Create a Nucleus contact
curl --request POST \
--url https://app.auditynow.com/api/nucleus/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Jane Doe",
"email": "jane@initech.com",
"company": "Initech",
"role": "CTO",
"relationshipType": "client"
}
'import requests
url = "https://app.auditynow.com/api/nucleus/contacts"
payload = {
"name": "Jane Doe",
"email": "jane@initech.com",
"company": "Initech",
"role": "CTO",
"relationshipType": "client"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jane Doe',
email: 'jane@initech.com',
company: 'Initech',
role: 'CTO',
relationshipType: 'client'
})
};
fetch('https://app.auditynow.com/api/nucleus/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"phone": "<string>",
"company": "<string>",
"role": "<string>",
"notes": "<string>",
"relationshipType": "client",
"lastInteractionAt": "2023-11-07T05:31:56Z"
}Nucleus
Create a Nucleus contact
Creates a contact in Audity’s lightweight CRM. Only name is required, all other fields are optional. relationshipType is silently coerced to null if not one of the allowed enum values.
Returns 201 with the created contact. Note: this endpoint returns the contact directly (not wrapped under { contact: ... }).
POST
/
api
/
nucleus
/
contacts
Create a Nucleus contact
Authorizations
A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.
Body
application/json
Contact's full name. Trimmed before save.
Minimum string length:
1Silently coerced to null if not one of the allowed values.
Available options:
client, prospect, partner, referral, null Response
Contact created
Available options:
client, prospect, partner, referral 
